# Generated by Django 4.0.7 on 2022-09-17 13:40

from django.db import migrations, models


def set_is_closed(apps, schema_editor):
    """修改的状态

    因为之前是 is_open，现在是 is_closed
    所以要取反
    """
    Topic = apps.get_model("board", "Topic")
    objs = []
    for topic in Topic.objects.all():
        topic.is_closed = not topic.is_closed
        objs.append(topic)
    Topic.objects.bulk_update(objs, ["is_closed"])


def reverse_set_is_closed(apps, schema_editor):
    """再取一次反"""
    Topic = apps.get_model("board", "Topic")
    objs = []
    for topic in Topic.objects.all():
        topic.is_closed = not topic.is_closed
        objs.append(topic)
    Topic.objects.bulk_update(objs, ["is_closed"])


class Migration(migrations.Migration):
    dependencies = [
        ("board", "0004_add_closed_at"),
    ]

    operations = [
        migrations.RenameField(
            model_name="topic",
            old_name="is_pin",
            new_name="is_pinned",
        ),
        migrations.RenameField(
            model_name="topic",
            old_name="is_open",
            new_name="is_closed",
        ),
        migrations.RunPython(set_is_closed, reverse_code=reverse_set_is_closed),
        migrations.AlterField(
            model_name="topic",
            name="is_closed",
            field=models.BooleanField(default=False, verbose_name="已关闭"),
        ),
    ]
