# Generated by Django 3.1.4 on 2020-12-30 03:37

from django.db import migrations, models


def forwards_func(apps, schema_editor):
    """初始化默认 ACL"""
    MQTTAcl = apps.get_model("iot", "MQTTAcl")
    db_alias = schema_editor.connection.alias
    MQTTAcl.objects.using(db_alias).bulk_create(
        [
            # 先禁止所有
            MQTTAcl(allow=0, username="$all", access=3, topic="device/+/set"),
            MQTTAcl(allow=0, username="$all", access=3, topic="device/+/status"),
            # 在允许设备订阅和发布自己用户名相关的
            MQTTAcl(allow=1, username="$all", access=1, topic="device/%u/set"),
            MQTTAcl(allow=1, username="$all", access=2, topic="device/%u/status"),
        ]
    )


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("iot", "0004_add_index_time"),
    ]

    operations = [
        migrations.CreateModel(
            name="MQTTAcl",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("allow", models.IntegerField(verbose_name="允许")),
                (
                    "ipaddr",
                    models.CharField(
                        blank=True, max_length=60, null=True, verbose_name="IP 地址"
                    ),
                ),
                (
                    "username",
                    models.CharField(
                        blank=True, max_length=100, null=True, verbose_name="用户名"
                    ),
                ),
                (
                    "clientid",
                    models.CharField(
                        blank=True, max_length=100, null=True, verbose_name="客户端 ID"
                    ),
                ),
                ("access", models.IntegerField(verbose_name="操作")),
                ("topic", models.CharField(max_length=100, verbose_name="主题")),
            ],
            options={
                "verbose_name": "ACL 规则",
                "verbose_name_plural": "ACL 规则",
                "db_table": "mqtt_acl",
            },
        ),
        migrations.AddField(
            model_name="device",
            name="password",
            field=models.CharField(
                default="00d691d440dba760ff34e3c50406d8da6febcc975bbf9ad88252d44359f513c4",
                max_length=100,
                verbose_name="密码",
            ),
            preserve_default=False,
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
