# Generated by Django 3.1.3 on 2020-12-05 09:34

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


def delete_all_push(apps, schema_editor):
    """删除所有注册的推送"""
    MiPush = apps.get_model("push", "MiPush")
    for mipush in MiPush.objects.all():
        mipush.delete()


def reverse_delete_all_push(apps, schema_editor):
    """不需要做任何事情"""
    pass


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("push", "0002_mipush_reg_id"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mipush",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="mipush",
                to=settings.AUTH_USER_MODEL,
                verbose_name="用户",
            ),
        ),
        migrations.AddField(
            model_name="mipush",
            name="device_id",
            field=models.CharField(
                max_length=100, null=True, unique=True, verbose_name="设备标识码"
            ),
        ),
        migrations.AddField(
            model_name="mipush",
            name="model",
            field=models.CharField(max_length=100, null=True, verbose_name="设备型号"),
        ),
        migrations.RunPython(delete_all_push, reverse_code=reverse_delete_all_push),
        migrations.AlterField(
            model_name="mipush",
            name="device_id",
            field=models.CharField(
                max_length=100, unique=True, verbose_name="设备标识码"
            ),
        ),
        migrations.AlterField(
            model_name="mipush",
            name="model",
            field=models.CharField(max_length=100, verbose_name="设备型号"),
        ),
        migrations.AlterField(
            model_name="mipush",
            name="reg_id",
            field=models.TextField(unique=True, verbose_name="注册标识码"),
        ),
    ]
